//=============================================================
// CommandTrigger.
// See CommandTriggerV3.txt
//=============================================================
class CommandTrigger extends Trigger
	placeable;
    var (Message) public string StandUpMessage;
    var (Message) public string CommandMessage;

    var private string DefaultMessage;
    //#1
    var private string FirstOthLine;
    var private string SecondOthLine;
    var private string ThirdOthLine;

    function PostBeginPlay(){
      Super.PostBeginPlay();
      
      //#2
      //Assign initial values   
      FirstOthLine = "I swear 'tis better";
      SecondOthLine = " to be much abused";
      ThirdOthLine = "Than but to know 't a little.";

       //#Concatenate the lines
       DefaultMessage @= FirstOthLine ;
       DefaultMessage @= SecondOthLine;
       DefaultMessage $= Chr(13);
       DefaultMessage @= ThirdOthLine;
   
       Message = DefaultMessage;
    }

defaultproperties
{
}
